Subject: Re: [PATCH 2/2] reflog: implement subcommand to drop reflogs

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Mar 2025 13:28:19 -0800

Patrick Steinhardt <[email-masked]> writes:

>> +The "drop" subcommand removes the reflog for the specified references.
>> +In contrast, "expire" can be used to prune all entries from a reflog,
>> +but the reflog itself will still exist for that reference. To fully
>> +remove the reflog for specific references, use the "drop" subcommand.
>
> The last sentence feels like pointless duplication to me. We should
> likely also point out how it is different from "delete". How about:
>
>     The "drop" subcommand completely removes the reflog for the
>     specified references. This is in contrast to "expire" and "delete",
>     both of which can be used to delete reflog entries, but not the
>     reflog itself.
>
> It might also be useful to add a comment to "delete" to say that it
> deletes entries, but not the reflog.

Good.

>> +#define BUILTIN_REFLOG_DROP_USAGE \
>> +	N_("git reflog drop [--all | <refs>...]")
>> +

We need a matching change to Documentation/git-reflog.adoc file,
too, right?